commit:     bf0e535bd4d93076641e3376d22d56ba6bf679d5
Author:     Chris Mayo <aklhfex <AT> gmail <DOT> com>
AuthorDate: Mon Jul 14 18:20:31 2025 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon Jul 14 21:13:11 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bf0e535b

dev-util/blueprint-compiler: add 0.18.0

Signed-off-by: Chris Mayo <aklhfex <AT> gmail.com>
Part-of: https://github.com/gentoo/gentoo/pull/42995
Closes: https://github.com/gentoo/gentoo/pull/42995
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 dev-util/blueprint-compiler/Manifest               |  1 +
 .../blueprint-compiler-0.18.0.ebuild               | 82 ++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/dev-util/blueprint-compiler/Manifest 
b/dev-util/blueprint-compiler/Manifest
index 59bb4e8af52a..1cf680624849 100644
--- a/dev-util/blueprint-compiler/Manifest
+++ b/dev-util/blueprint-compiler/Manifest
@@ -1,2 +1,3 @@
+DIST blueprint-compiler-0.18.0.tar.xz 106160 BLAKE2B 
c7e898075a9cac8153e50eca1a6de5b3f5b65e0b901af997ea000ac0155bd6ac683238fe6730599d1e1282802d6c22f5d25abe3b766ea591361429d26ee758a3
 SHA512 
0f15a0e997ec8edced82053f345abbfa4a77ca77dd5976d39e135c3b8af137f712ce2cb5b33abba7450ff440fb48dcb136186e2e0b7d54d0393d5778e8b19142
 DIST blueprint-compiler-v0.14.0.tar.bz2 95515 BLAKE2B 
e5e4c721f76a9455d0f53b54e5b981cbd918959c206cad2b6fa47ba3a85bb1bcacb11d65b848cbde01ae32faa6f09c1f80cf6150ee436e359e7b1e9044822bb4
 SHA512 
3c2c422c6c41c408aff2b4342186e7a20eeb37489aff396d48c936f7a856e9d946f3d6fb6ad64a0fd933bdfc6bce546571d67c95b8f01af591c562d531c246c0
 DIST blueprint-compiler-v0.16.0.tar.bz2 101391 BLAKE2B 
6380f3aa3472ab0567e89acadf290e4954dbe640d5c4aaa6adfe3fb13ee50295c21dffcca1a4baccf3b5049429eae22d8953acc65dbef1904de01209226d0c88
 SHA512 
9c8b3da532f7d9a36fa0993da295438afe57a5da03e122f3d9cc715dd7b7d99f2be52416f19a7a8d8523516f4f799cbb0a2c9ffafdef58a66163857542e5c8d7

diff --git a/dev-util/blueprint-compiler/blueprint-compiler-0.18.0.ebuild 
b/dev-util/blueprint-compiler/blueprint-compiler-0.18.0.ebuild
new file mode 100644
index 000000000000..66ba7655295c
--- /dev/null
+++ b/dev-util/blueprint-compiler/blueprint-compiler-0.18.0.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit edo meson python-single-r1 virtualx
+
+DESCRIPTION="Compiler for Blueprint, a markup language for GTK user interfaces"
+HOMEPAGE="https://gnome.pages.gitlab.gnome.org/blueprint-compiler/
+       https://gitlab.gnome.org/GNOME/blueprint-compiler/";
+
+if [[ "${PV}" == *9999 ]] ; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://gitlab.gnome.org/GNOME/${PN}.git";
+else
+       inherit gnome.org
+
+       KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+LICENSE="LGPL-3+"
+SLOT="0"
+IUSE="doc test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       $(python_gen_cond_dep '
+               dev-python/pygobject:3[${PYTHON_USEDEP}]
+       ')
+"
+BDEPEND="
+       ${RDEPEND}
+       doc? (
+               $(python_gen_cond_dep '
+                       dev-python/furo[${PYTHON_USEDEP}]
+                       dev-python/sphinx[${PYTHON_USEDEP}]
+               ')
+       )
+       test? (
+               gui-libs/gtk:4[introspection]
+               gui-libs/libadwaita:1[introspection]
+       )
+"
+
+DOCS=( CONTRIBUTING.md MAINTENANCE.md NEWS.md README.md )
+
+src_prepare() {
+       default
+
+       rm ./tests/test_deprecations.py || die
+       rm ./tests/test_samples.py || die  # Fails on CI, bug #947156
+}
+
+src_configure() {
+       local -a emesonargs=(
+               $(meson_use doc docs)
+       )
+       meson_src_configure
+}
+
+src_compile() {
+       meson_src_compile
+
+       if use doc ; then
+               build_sphinx docs
+       fi
+}
+
+src_test() {
+       virtx edo "${EPYTHON}" -m unittest
+}
+
+src_install() {
+       meson_src_install
+       python_fix_shebang "${ED}/usr/bin"
+       python_optimize
+}

Reply via email to